Get safety profile list
Retrieves all available safety profiles for that project.
tip
You will need the safety profile id from this endpoint to create a new route.
GET /api/1.0/safety_profiles?project={projectId}
Response
Model: application/json
ARRAY
[
{
"id": <String> the unique uuid of the safety profile
"name": <String> Safety profile name,
"description": <String> Safety profile description,
"safetySettings": <Object> Object containing the safety settings for the profile,
(safety_setting_key: <Object>
{label: <String> safety setting label,
description: <String> Safety setting description,
value: safety setting value,
unit: safety setting unit (if applicable)}
)
}
]
Query parameters
Some parameters are allowed for a filtered response
caution
parameters with * are mandatory
description: <String> - It will return anything containing this string in description
Example
const fetchData=async ()=>{
let j,response;
const serverResponse = await fetch(`https://cloud.rigi.tech/api/1.0/safety_profiles?project=3&serialNumber=GA`, {
mode: "cors",
method: "GET",
referrer: "no-referrer",
headers: {"authorization": "Bearer " + token}
})
if(!serverResponse.ok){
try {
switch (serverResponse.status){
case 400:
j = await serverResponse.json();
break;
case 403:
response = { message: "Forbidden access to data" };
case 404:
response = { message: "Address not found" };
default:
j = await serverResponse.json()
}
} catch (e) {
response = { message: "Error fetching data" };
}
}else{
j = await serverResponse.json()
}
response = { data:j };
const {data, message} = response
if(message) console.debug(message)
if(data) console.debug(data)
}
fetchData()
Answer:
[
{
"id": "08624f6e-482c-4531-8f89-6dfefc53faae",
"name": "VLOS",
"description": "Safety profile used in VLOS flights (demonstrations, trainings and flight testing).",
"safetySettings":{"safety_prefloor_warning":{"label": "Lower Deviation Warning", "description": "Lower Deviation Warning", "value": "false",…}
},
{
"id": "1bf0c3c0-5f51-43e9-9e0a-43e1c55bd314",
"name": "Default profile",
"description": "Default safety profile",
"safetySettings":{"safety_prefloor_warning":{"label": "Lower Deviation Warning", "description": "Lower Deviation Warning", "value": "false",…}
},
{
"id": "8c6f08e5-f6d4-440f-ba66-fb97b400bec3",
"name": "BVLOS",
"description": "Safety profile for BVLOS operations requiring enhanced containment (scope of the Design Verification).",
"safetySettings":{"safety_prefloor_warning":{"label": "Lower Deviation Warning", "description": "Lower Deviation Warning", "value": "true",…}
}
]